JED(1)

NAZWA
jed - edytor dla programistów

SKŁADNIA
jed [opcje] plik...

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Jed - edytor dla programistów

Możliwości:

Podświetlanie składni kolorami. Emulacja edytorów Emacs, EDT, Wordstar oraz Brief. Możliwości rozbudowywania w języku przypominającym C. Całkowicie dostosowywalny. Edycja plików TeX-u z edycją w stylu AUC-TeX (również obsługa BiBTeX). Obsługa składu (folding support) i wiele więcej..

Pełną dokumentację znajdziesz w plikach GNU info, niniejszy podręcznik jest jedynie krótkim wprowadzeniem.

OPCJE
-batch
    uruchamia Jed w trybie wsadowym. Jest to tryb nie-interaktywny.
-n
    nie wczytuj pliku .jedrc.
-g n
    skocz do wiersza n w buforze.
-l plik
    wczytaj plik jako kod S-Lang.
-f funkcja
    wykonaj funkcję S-Lang o nazwie funkcja.
-s łańcuch
    Szukaj łańcucha w przód.
-2
    podziel okno.
-i plik
    Wstaw plik do bieżącego bufora.

KONFIGURACJA

  Emulacja innych edytorów
Emulacja innych edytorów możliwa jest dzięki zdolności JEDa do tworzenia nowych funkcji przy użyciu języka programowania S-Lang oraz umożliwieniu użytkownikowi zmiany przypisań klawiszy. Obecnie JED zapewnia rozsądną emulację edytorów Emacs, EDT i Wordstar.

  Emulacja Emacsa
Emulacja Emacsa zapewniana jest dzięki kodowi S-Lang zawartemu w emacs.sl. Emulowana jest podstawowa funkcjonalność Emacsa; większość użytkowników Emacsa nie powinna mieć kłopotów z JEDem. By włączyć emulację Emacsa w JED upewnij się, że twój plik inicjujący jed.rc (.jedrc) zawiera wiersz

    () = evalfile ("emacs");

JED rozpowszechniany jest z plikiem domyślnym jed.rc zawierającym już ten wiersz.

  Emulacja EDT
Do emulacji EDT musi być wczytany edt.sl. Osiągane jest do przez umieszczenie wiersza:

    () = evalfile ("edt");

w pliku inicjującym jed.rc (.jedrc).

  Emulacja Wordstara
wordstar.sl zawiera kod S-Lang odpowiedzialny za emulację Wordstara. Dodanie wiersza:

    () = evalfile ("wordstar");

do twego pliku inicjalizacji jed.rc (.jedrc) włączy emulację Wordstara w JED.

RUN TIME

  Wiersz stanu i Okna
JED potrafi obsługiwać wiele okien. Każde okno może zawierać ten sam bufor lub różne bufory. Bezpośrednio pod każdym oknem wyświetlany jest wiersz stanu. Wiersz stanu zawiera takie informacje jak numer wersji JEDa, nazwa bufora, tryb, itd. Uważaj, proszę, na poniższe wskaźniki:

**
    bufor został zmieniony od ostatniego zapisu.
%%
    bufor jest tylko do odczytu.
m
    wskaźnik ustawiania znacznika. Oznacza, że właśnie definiowany jest obszar.
d
    wskaźnik zmiany pliku na dysku. Wskazuje, że plik skojarzony z buforem jest nowszy niż sam bufor.
s
    wskaźnik zapamiętania pozycji.
    [tłum.: zapamiętywanie i odtwarzanie pozycji kursora w buforze realizuje się parą funkcji push_spot/pop_spot w S-Lang]
+
    możliwe cofanie akcji (undo) dla bufora.
[Narrow]
    bufor jest zawężony (narrowed) do obszaru WIERSZY (LINES).
[Macro]
    w trakcie definiowania makra.

  Mini-bufor
Mini-bufor składa się z pojedynczego wiersza usytuowanego na dole ekranu. Większość dialogu pomiędzy użytkownikiem a edytorem JED odbywa się w tym właśnie buforze. Na przykład, gdy poszukujesz łańcucha, JED wyświetli zapytanie o łańcuch w mini-buforze.

Mini-bufor zapewnia także bezpośrednie połączenie z interpreterem S-Lang. W celu uzyskania dostępu do interpretera naciśnij Ctrl-X Esc a w mini-buforze pojawi się zachęta S-Lang>. Wprowadź dowolne poprawne wyrażenie S-Lang, które chcesz by rozwinął interpreter.

Przez użycie klawiszy strzałek w górę i w dół możliwe jest ponowne przywołanie danych uprzednio wprowadzonych do mini-bufora. Umożliwia to użycie i zmianę poprzednich wyrażeń w wygodny i efektywny sposób.

  Podstawowa edycja

Edycja przy użycie JEDa jest bardzo łatwa - większość klawiszy powoduje wstawienie przypisanych im znaków. Przemieszczanie się wewnątrz zawartości bufora zwykle odbywa się przy użyciu klawiszy strzałek lub klawiszy strony w górę i strony w dół. Jeżeli wczytany jest edt.sl, to działają również klawisze (keypads) terminala VTxxx. Wówczas zmieniane są tylko podświetlenia (operacje wytnij/wklej [cut/paste] nie są uważane za `podświetlenia'). Na klawiaturach pozbawionych klawisza Esc Ctrl-[ najprawdopodobniej wygeneruje znak Escape.

Argument przedrostkowy polecenia może być utworzony przez naciśnięcie klawisza Esc a następnie wprowadzenie liczby, po której naciskany jest pożądany klawisz. Zwykle argument przedrostkowy używany jest po prostu dla powtórzeń. Na przykład, by przesunąć się w prawo o 40 znaków, powinno się nacisnąć Esc 4 0 a bezpośrednio po tym klawisz strzałki w prawo. Ilustruje to użycie argumentu powtarzania dla powtórzenia akcji. Argument przedrostkowy może jednakże zostać zastosowany również na inne sposoby. Na przykład, w celu rozpoczęcia definiowania obszaru, powinno się nacisnąć klawisz Ctrl-@. Ustawia on znacznik i rozpoczyna podświetlanie. Naciśnięcie Ctrl-@ z argumentem przedrostkowym spowoduje zaniechanie czynności definiowania obszaru i zdjęcie znacznika.

Poniższa lista przydatnych przypisań klawiszy zakłada, że wczytano emacs.sl.

Ctrl-L
    Odśwież (ponownie narysuj) ekran.
Ctrl-_
    Cofnij akcję (Control-podkreślenie, również Ctrl-X u').
Esc q
    Ponownie formatuj akapit (tryb zawijania). Użyte z argumentem przedrostkowym również justuje akapit.
Esc n
    Zwęź akapit (tryb zawijania). Użyte z argumentem przedrostkowym również justuje akapit.
Esc ;
    Wstaw komentarz w języku programowania (Fortran i C).
Esc \\
    Obetnij otaczające białe znaki.
Esc !
    Wykonaj polecenie powłoki.
Esc $
    Sprawdź pisownię słowa przy pomocy ispell.
Ctrl-X ?
    Pokaż informację o wierszu/kolumnie.
`
    quoted_insert --- wstaw następny znak dosłownie (klawisz odwrotnego apostrofu)
Esc s
    Wypośrodkuj wiersz.
Esc u
    Zamień słowo na duże litery
Esc d
    Zamień słowo na małe litery.
Esc c
    Zamień w słowie pierwszą literę na dużą, resztę na małe.
Esc x
    Przejdź do zachęty minibufora M-x z uzupełnianiem poleceń.
Ctrl-X Ctrl-B
    Wyświetl rozwijalną listę buforów.
Ctrl-X Ctrl-C
    Zakończ pracę JED.
Ctrl-X 0
    Usuń bieżące okno.
Ctrl-X 1
    Jedno okno.
Ctrl-X 2
    Podziel okno.
Ctrl-X o
    Na inne okno.
Ctrl-X b
    Przełącz na bufor.
Ctrl-X k
    Usuń bufor.
Ctrl-X s
    Zapisz bufory.
Ctrl-X Esc
    Przejdź do zachęty "S-Lang>" interfejsu interpretera S-Lang.
Esc .
    Znajdź tag.
Ctrl-@
    Ustaw znacznik (rozpocznij określanie obszaru). Użyte z argumentem przedrostkowym anuluje czynność definiowania i zdejmuje znacznik.

PLIKI
JED_ROOT/lib/*.sl
    Są to domyślne pliki uruchomieniowe slang dla edytora jed.
JED_ROOT/lib/site.sl
    Domyślny plik inicjujący (startup file).
/etc/jed.rc
    Ogólnosystemowy plik konfiguracyjny.
~/.jedrc
    Plik konfiguracyjny danego użytkownika.

AUTOR
John E. Davis <davis@space.mit.edu>
    Autor programu Jed.

--- Niniejszy dokument został przetłumaczony na format nroff przez "Boris D. Beletsky" <borik@isracom.co.il>

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 jed

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.